<!--
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: glc
 * @Date: 2022-04-29 16:13:29
 * @LastEditors: Andy
 * @LastEditTime: 2023-02-15 08:47:38
-->
<template>
  <el-row align="middle">
    <el-col
      :span="6"
      v-for="(item, index) in tabledata"
      :key="index"
      :offset="0"
    >
      <el-card shadow="hover" class="appcard">
        <div style="display: flex; cursor: pointer" @click="openApp(item)">
          <div class="card_left">
            <img
              style="width: 100%"
              :src="require('../../assets/img/dataedit/' + item.imagefile)"
            />
          </div>
          <div class="card_center">
            <div class="app_item_name">应用名称：{{ item.appname }}</div>
            <div class="app_item_name">应用类型：{{ item.typename }}</div>
            <div class="app_item_name">创建时间：{{ item.createtime }}</div>
            <div class="app_item_name" v-show="activetag === 1">
              创建人：{{ item.creator }}
            </div>
            <div class="app_item_bottom" v-show="activetag === 2">
              <el-button type="text" @click="deleteApp(item)" size="small"
                >删除</el-button
              >
              <el-button type="text" @click="renameApp(item)" size="small"
                >重命名</el-button
              >
              <el-checkbox
                v-model="item.ispublic"
                size="mini"
                style="margin-left: 5px"
                @change="(checked) => handleSelectChange(checked, item)"
                >公开</el-checkbox
              >
            </div>
          </div>
        </div>
      </el-card>
    </el-col>
  </el-row>
</template>
<script>
export default {
  props: ["data", "refresh", "total", "activetag"],
  data() {
    return {};
  },
  methods: {
    openApp(app) {
      console.log(app.appname);
    },
    handleSelectChange(checked, item) {},
  },
  computed: {
    tabledata() {
      return this.data;
    },
  },
};
</script>
<style lang="less" scoped>
.appcard {
  margin-top: 15px;
  width: 420px;
  height: 170px;
  .card_left {
    display: inline-block;
    width: 50%;
    padding: 5px;
  }
  .card_center {
    display: inline-block;
    width: 45%;
    padding: 5px;
    .app_item_name {
      font-weight: bold;
      margin: 5px 2px;
    }
    .app_item_bottom {
      width: 100%;
      text-align: left;
      display: inline-block;
    }
  }
}
</style>
